      PROGRAM WIEL1
c     DEKLARACJE      
      implicit none
      real*8 O,a,x,P
      integer j,N,pyt
      dimension a(0:100)
c     POCZATEK PROGRAMU      
   10 O=real(0)
      write(*,*)'PROGRAM WIEL1'
      write(*,*)'PODAJ STOPIEN N: 0<N<101'
      read (*,*) N
      write(*,*)'PODAWAJ a(j), j=0,1,...,N'
c     PETLA: CZYTANIE WSPOLCZYNNIKOW      
      do 1,j=0,N,1
      read (*,*) a(j)      
    1 continue
c     KONIEC PETLI      
c     CZYTANIE x
      write(*,*)'PODAJ x'
      read (*,*) x
      P=O
c     PETLA: OBLICZANIE WARTOSCI WIELOMIANU P(x)      
      do 2,j=0,N,1
      P=P+a(j)*(x**j)
    2 continue
c     KONIEC PETLI      
c     WYPISANIE WYNIKU I ZAKONCZENIE PROGRAMU
      write(*,*)'GOTOWE'
      write(*,*)'<ENTER>'
      read (*,*)
      write(*,*)'P(',x,')=',P
      write(*,*)' 0 - STOP'
      write(*,*)' 1 - OD POCZATKU'      
      read (*,*) pyt
      if(pyt.eq.0)goto 100
      goto 10
  100 stop 100
      end
